Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:39 2009

## Asterisk developer's documentation

# iax2_registry Struct Reference

Collaboration diagram for iax2_registry:

[legend]

## Data Fields

struct sockaddr_in | addr
int | callno
int | expire
int | messages
struct iax2_registry * | next
char | random [80]
int | refresh
enum iax_reg_state | regstate
char | secret [80]
struct sockaddr_in | us
char | username [80]

## Detailed Description

Definition at line 422 of file chan_iax2.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Who we connect to for registration purposes

Definition at line 423 of file chan_iax2.c.

Referenced by iax2_ack_registry(), iax2_do_register(), iax2_register(), iax2_show_channels(), iax2_show_registry(), and registry_rerequest().

int callno

Associated call number if applicable

Definition at line 431 of file chan_iax2.c.

Referenced by delete_users(), iax2_do_register(), iax2_register(), iax2_show_channels(), iax2_write(), and pvt_destructor().

int expire

Sched ID of expiration

Definition at line 427 of file chan_iax2.c.

Referenced by delete_users(), iax2_ack_registry(), iax2_do_register(), iax2_do_register_s(), and iax2_register().

int messages

Message count

Definition at line 430 of file chan_iax2.c.

Referenced by iax2_ack_registry().

struct iax2_registry* next`[read]`

Definition at line 433 of file chan_iax2.c.

Referenced by delete_users(), iax2_register(), iax2_show_registry(), and load_module().

char random[80]

Definition at line 426 of file chan_iax2.c.

int refresh

How often to refresh

Definition at line 428 of file chan_iax2.c.

Referenced by attempt_transmit(), iax2_ack_registry(), iax2_do_register(), iax2_register(), iax2_show_registry(), and registry_rerequest().

enum iax_reg_state regstate

Definition at line 429 of file chan_iax2.c.

Referenced by attempt_transmit(), iax2_ack_registry(), iax2_do_register(), iax2_show_registry(), and registry_rerequest().

char secret[80]

Password or key name in []'s

Definition at line 425 of file chan_iax2.c.

Referenced by iax2_register(), and registry_rerequest().

struct sockaddr_in us`[read]`

Who the server thinks we are

Definition at line 432 of file chan_iax2.c.

Referenced by attempt_transmit(), iax2_ack_registry(), and iax2_show_registry().

char username[80]

Definition at line 424 of file chan_iax2.c.

Referenced by iax2_do_register(), iax2_register(), iax2_show_registry(), and registry_rerequest().

The documentation for this struct was generated from the following file:

- chan_iax2.c